メインコンテンツへスキップ
GET
/
crm-object-schemas
/
v3
/
schemas
/
{objectType}
指定されたカスタムオブジェクトのスキーマを取得します。
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType} \
  --header 'Authorization: Bearer <token>'
{
  "associations": [
    {
      "fromObjectTypeId": "2-123456",
      "id": "123",
      "name": "my_object_to_contact",
      "toObjectTypeId": "0-1"
    }
  ],
  "createdAt": "2020-02-20T18:07:11.390Z",
  "fullyQualifiedName": "p7878787_my_object\"",
  "id": "123456",
  "labels": {
    "plural": "My objects",
    "singular": "My object"
  },
  "metaType": "PORTAL_SPECIFIC",
  "name": "my_object",
  "primaryDisplayProperty": "my_object_property",
  "properties": [
    {
      "archived": false,
      "calculated": false,
      "createdAt": "2020-02-20T18:07:11.802Z",
      "displayOrder": -1,
      "externalOptions": false,
      "fieldType": "text",
      "groupName": "my_object_information",
      "hasUniqueValue": false,
      "label": "My object property",
      "name": "my_object_property",
      "type": "string",
      "updatedAt": "2020-02-20T18:07:11.802Z"
    }
  ],
  "requiredProperties": [
    "my_object_property"
  ],
  "searchableProperties": [
    "my_object_property"
  ],
  "updatedAt": "2020-02-20T18:09:07.555Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Enterprise
Sales HubSales Hub -Enterprise
Service HubService Hub -Enterprise
Content HubContent Hub -Enterprise

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

スキーマの完全修飾名またはオブジェクトタイプID。

クエリパラメータ

includeAssociationDefinitions
boolean
デフォルト:true

スキーマに関連する関連付けの定義を含めます。

includeAuditMetadata
boolean
デフォルト:true

スキーマの監査証跡に関するメタデータを含めます。

includePropertyDefinitions
boolean
デフォルト:true

スキーマに関連付けられているプロパティーの定義を含めます。

レスポンス

successful operation

Defines an object schema, including its properties and associations.

associations
object[]
必須

特定のオブジェクトタイプについて定義された関連付け。

id
string
必須

このオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。

labels
object
必須

Singular and plural labels for the object. Used in CRM display.

:
{
"plural": "My objects",
"singular": "My object"
}
name
string
必須

このオブジェクトの重複しない名前。内部使用のみ。

properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

allowsSensitiveProperties
boolean
archived
boolean
createdAt
string<date-time>

オブジェクトタイプが作成された日時。

createdByUserId
integer<int32>
description
string
fullyQualifiedName
string

ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。

objectTypeId
string
primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

updatedAt
string<date-time>

オブジェクトタイプが最後に更新された日時。

updatedByUserId
integer<int32>
Last modified on March 30, 2026